<!DOCTYPE html>
<html><head><title>app.js
 - Stryker report</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link rel="stylesheet" href="strykerResources/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="strykerResources/highlightjs/styles/default.css">
<link rel="stylesheet" href="strykerResources/stryker.css"></head>
<body><img class="stryker-image" alt="Stryker" src="strykerResources/stryker-80x80.png">
<div class="container-fluid"><div class="row"><div class="col-lg-12"><h1 class="display-4">app.js
 
<small class="text-muted">- Stryker report</small></h1></div></div>
<ol class="breadcrumb"><li class="breadcrumb-item"><a href="index.html">All files</a></li>
<li class="breadcrumb-item active">app.js</li></ol>
<div class="row"><div class="col-lg-12"><div class="row"><div class="col-sm-11"><table class="table table-sm table-hover table-bordered table-no-top"><thead><tr><th style="width: 20%"><div><span>File / Directory</span></div></th>
<th colspan="2"><div><span>Mutation score</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Killed</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Survived</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Timeout</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># No coverage</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Runtime errors</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Transpile errors</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total detected</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total undetected</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total mutants</span></div></th></tr></thead>
<tbody><tr><td>app.js</td>
<td><div class="progress"><div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%;">100.00
%</div></div></td>
<th class="text-center text-success" style="width: 10%">100.00</th>
<td class="text-center">0</td>
<td class="text-center">0</td>
<td class="text-center">4</td>
<td class="text-center">0</td>
<td class="text-center">0</td>
<td class="text-center">0</td>
<th class="text-center">4</th>
<th class="text-center">0</th>
<th class="text-center">4</th></tr>
</tbody></table></div></div>
<div class="row"><div class="col-lg-7"><div class="row legend"><form class="col-md-12" novalidate="novalidate">


<div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" value="3" type="checkbox">
TimedOut
 
(4)</label></div>


<a href="#" class="stryker-collapse-expand-all">Expand all</a></form></div>
<pre><code class="lang-javascript"><span class="bg-null">/*global angular */

/**
 * The main TodoMVC app module
 *
 * @type {angular.Module}
 */
angular.module(&#039;todomvc&#039;, </span><a href="#" class="stryker-mutant-button" tabindex="0" title="ArrayDeclarator" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="0"><span class="badge badge-warning">0</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="0">[]</span><span class="stryker-original-code" data-mutant="0"><span class="bg-warning-light">[&#039;ngRoute&#039;, &#039;ngResource&#039;]</span></span><span class="bg-null">)
	.config(function ($routeProvider) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="1"><span class="badge badge-warning">1</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="1">{
}</span><span class="stryker-original-code" data-mutant="1"><span class="bg-warning-light">{
		&#039;use strict&#039;;

		var routeConfig = {
			controller: &#039;TodoCtrl&#039;,
			templateUrl: &#039;todomvc-index.html&#039;,
			resolve: {
				store: function (todoStorage) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="2"><span class="badge badge-warning">2</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="2">{
}</span><span class="stryker-original-code" data-mutant="2"><span class="bg-warning-light">{
					// Get the correct module (API or localStorage).
					return todoStorage.then(function (module) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="3"><span class="badge badge-warning">3</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="3">{
}</span><span class="stryker-original-code" data-mutant="3"><span class="bg-warning-light">{
						module.get(); // Fetch the todo records in the background.
						return module;
					}</span></span><span class="bg-warning-light">);
				}</span></span><span class="bg-warning-light">
			}
		};

		$routeProvider
			.when(&#039;/&#039;, routeConfig)
			.when(&#039;/:status&#039;, routeConfig)
			.otherwise({
				redirectTo: &#039;/&#039;
			});
	}</span></span><span class="bg-null">);</span>
</code></pre></div>
<div class="col-lg-5"><table class="table table-sm table-hover mutant-table"><thead><tr><th>#</th>
<th>Mutator</th>
<th>State</th>
<th>Location</th>
<th>Original</th>
<th>Replacement</th></tr></thead>
<tbody><tr><th>0</th>
<td>ArrayDeclarator</td>
<td>TimedOut</td>
<td>7
:
26</td>
<td><code>['   ...   ']</code></td>
<td><code>[]</code></td></tr>
<tr><th>1</th>
<td>BlockStatement</td>
<td>TimedOut</td>
<td>8
:
35</td>
<td><code>{
		...;
	}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>2</th>
<td>BlockStatement</td>
<td>TimedOut</td>
<td>15
:
34</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>3</th>
<td>BlockStatement</td>
<td>TimedOut</td>
<td>17
:
47</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr></tbody></table></div></div></div></div>
<footer>Generated with stryker-html-reporter generator. Visit the 
<a href="http://stryker-mutator.github.io" target="_blank">Stryker website</a></footer></div>
<script src="strykerResources/popper.js/dist/umd/popper.min.js" defer="defer"></script>
<script src="strykerResources/jquery/dist/jquery.slim.min.js" defer="defer"></script>
<script src="strykerResources/bootstrap/js/bootstrap.min.js" defer="defer"></script>
<script src="strykerResources/stryker.js" defer="defer"></script></body></html>